html, body {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-color: #ffffff;
    color: #ffffff;
    font-family: sans-serif;
}

#mynetwork {
    width: 100vw;
    height: 100vh;
    background: transparent;
    position: relative;
    color: black;
}

#mynetwork canvas,
#mynetwork > div {
    background: transparent !important;
}

.control-panel {
    position: absolute;
    top: 100px;
    left: 20px;
    background: rgba(255, 255, 255, 1);
    padding: 20px;
    border-radius: 15px;
    z-index: 999;
    font-size: 14px;
    color: black;
}

.gradient-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    width: 60%;
    height: 20px;
    background: linear-gradient(to right, #ff0000, #ffff00, #00ff00);
    border: 1px solid #ccc;
    border-radius: 5px;
    z-index: 1000;
}

        .gradient-bar-label {
            position: absolute;
            top: 25px;
            font-size: 12px;
            color: #000;
        }

        .gradient-bar-label-left {
            left: 0;
        }

        .gradient-bar-label-right {
            right: 0;
        }